function savecurrentsignal

%   savecurrentsignal

%   This software is protected by german copyright and international treaties.             
%   Copyright 2004 Markus Junghöfer & Peter Peyk. All Rights Reserved.                     
%                                                                                          
%   THIS SOFTWARE AND DOCUMENTATION IS PROVIDED "AS IS," AND COPYRIGHT HOLDERS MAKE        
%   NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO,    
%   WARRANTIES OF MERCHANTABILITY OR FITNESS FOR ANY PARTICULAR PURPOSE OR THAT THE USE    
%   OF THE SOFTWARE OR DOCUMENTATION WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS,
%   TRADEMARKS OR OTHER RIGHTS. COPYRIGHT HOLDERS WILL NOT BE LIABLE FOR ANY DIRECT,       
%   INDIRECT, SPECIAL OR CONSEQUENTIAL DAMAGES ARISING OUT OF ANY USE OF THE SOFTWARE      
%   OR DOCUMENTATION.   

global faktorstring stufenvec aktiverfaktor gradientcell...
    stufenvec anzahlwiederholungen ausschlussmat anzahlfaktoren...
    signallaenge uewktstatus whlstatus ausschlussstatus wiederholungsstatus faktorausschlussstatus...
    optimierungsstatus distmat wiederholungsvec anzahlelemente...
    uewktmat reihe bestreihe bestuewktmat...
    bestdist relmat kriterium
   
insertintertrialitemmenuitem=findobj('tag','insertintertrialitemmenuitem');   
if ~isempty(bestreihe)
    
%-----------------------------------------------------------
%wegschreiben
%-----------------------------------------------------------

[savefilename,savefilepath]=uiputfile('*.txt','Zieldatei benennen:');
if isempty(findstr('.txt',savefilename))
    savefilename=[savefilename,'.txt'];
end
savefile=[savefilepath,savefilename];
fid = fopen(savefile,'wt');
fprintf(fid,'Randomizer:\n\n');
fprintf(fid,['Reihe mit ',num2str(signallaenge),' Elementen bestehend aus ',num2str(anzahlelemente),' verschiedenen Zahlen:\n']);  
if wiederholungsstatus==0
   fprintf(fid,'(keine Wiederholungen');
else
    if anzahlwiederholungen==-1
        fprintf(fid,['(mit beliebiger Wiederholung']);
    elseif anzahlwiederholungen == 2
        fprintf(fid,['(1 zugelassene Wiederholung']);
    elseif anzahlwiederholungen > 2
        fprintf(fid,['(mit ',num2str(anzahlwiederholungen-1),' zugelassenen Wiederholungen']);
    end
end
if ausschlussstatus==1
    fprintf(fid,[', mit Ausschluss der Wiederholung der Elemente ',num2str(ausschlussmat)]);
end

if faktorausschlussstatus==1
    fprintf(fid,[', mit Faktorausschluss )\n']);
else 
   fprintf(fid,')\n'); 
end

if strcmp(get(insertintertrialitemmenuitem,'checked'),'on')
	fprintf(fid,['array <int> reihe [',num2str(signallaenge*2),']={']);
	fprintf(fid,'%i',bestreihe(1));
	fprintf(fid,',-1');
	for j=2:length(bestreihe)
        fprintf(fid,',');
        fprintf(fid,'%i',bestreihe(j));
        fprintf(fid,',-1');
	end
else
    fprintf(fid,['array <int> reihe [',num2str(signallaenge),']={']);
	fprintf(fid,'%i',bestreihe(1));
	for j=2:length(bestreihe)
        fprintf(fid,',');
        fprintf(fid,'%i',bestreihe(j));
	end
end


fprintf(fid,'};\n\n');
if optimierungsstatus == 1
    fprintf(fid,'Übergangswahrscheinlichkeiten:\n\n');
        for l=1:size(bestuewktmat,1)
            for k=1:size(bestuewktmat,2)
                fprintf(fid,[num2str(bestuewktmat(l,k)),'\t']);
            end
            fprintf(fid,'\n');
        end
end   
fclose(fid);

else
    uiwait(errordlg('Eine Reihe kann erst gespeichert werden nachdem sie erstellt wurde!','Achtung:'));
    return
end

return

    